Subject: RE: bug#39778: [PATCH] checkdoc: Don't mistake "cf." for sentence end

From: Drew Adams <[email-masked]>
Date: Tue, 25 Feb 2020 08:35:00 -0800 (PST)

> > Yes.
> >
> > But even better is to remove uses of "Cf." (which
> > is not so common nowadays, and is understood by
> > fewer and fewer readers).  It can typically be
> > replaced by something as simple as "Compare" or
> > sometimes even just "See also".
> 
> Do you have any hard data for your claims?

No, and I won't bother looking for it (which doesn't
mean that such data doesn't exist).

> Couldn't the same be argued about "e.g." vs "for
> example" or "i.e." vs "that is"?

Anyone could argue that if they wanted to, of course.

I wouldn't argue it.  In my experience, those two,
and "etc.", are pretty commonly recognized and
understood ("i.e." probably less so than the others,
sometimes being misunderstood as the same as "e.g.").

> Is "cf." really so much less common?

I think it is, but I won't try to support that as a fact.

> Anyway, it is probably largely subjective, but unless you can bring up
> many examples of potential further requests (I can't think of anything
> else myself), just adding "cf." shouldn't hurt, should it?

I never said that removing the bug of 2-spaces after
"cf." would hurt or is a bad idea.

In fact, I said, "Yes."  It's a good idea.  Even
better is to remove occurrences of "cf.", but yes,
that fix should be done anyway, in case someone
does use "cf."